summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/wxlib.eclass11
-rw-r--r--eclass/wxwidgets.eclass14
2 files changed, 20 insertions, 5 deletions
diff --git a/eclass/wxlib.eclass b/eclass/wxlib.eclass
index 3c8359b80d4e..d490dad0900b 100644
--- a/eclass/wxlib.eclass
+++ b/eclass/wxlib.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/wxlib.eclass,v 1.13 2006/01/09 20:06:59 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/wxlib.eclass,v 1.14 2006/04/21 20:36:17 flameeyes Exp $
# Author Diego Pettenò <flameeyes@gentoo.org>
# Maintained by wxwidgets herd
@@ -66,10 +66,17 @@ configure_build() {
# as building the unicode version required redoing it.
# It takes all the params and passes them to the script
subconfigure() {
- filter-ldflags -Wl,--as-needed --as-needed
+ local ldver=$( $(tc-getLD) --version | head -n 1 | \
+ sed -e 's:.*version \([0-9.]\+\) .*:\1:')
+ local ldmaj=$(echo $ldver | cut -f1 -d.)
+ local ldmin=$(echo $ldver | cut -f2 -d.)
+ local ldmicro=$(echo $ldver | cut -f3 -d.)
+
+ [[ $ldmaj -lt 1 || ( $ldmaj == 2 && $ldmin < 16 && $ldmicro < 92 ) ]] && filter-ldflags -Wl,--as-needed --as-needed
ECONF_SOURCE="${S}" \
econf \
+ --disable-precomp-headers \
--disable-debugreport \
--with-zlib \
$(use_enable debug) $(use_enable debug debug_gdb) \
diff --git a/eclass/wxwidgets.eclass b/eclass/wxwidgets.eclass
index aa313ddb3ab6..20b138431a87 100644
--- a/eclass/wxwidgets.eclass
+++ b/eclass/wxwidgets.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/wxwidgets.eclass,v 1.15 2006/03/18 16:43:20 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/wxwidgets.eclass,v 1.16 2006/04/21 20:36:17 flameeyes Exp $
#
# Author Rob Cakebread <pythonhead@gentoo.org>
@@ -50,8 +50,16 @@ need-wxwidgets() {
esac
fi
- filter-ldflags -Wl,--as-needed --as-needed
- filter-flags -Wl,--as-needed --as-needed
+ local ldver=$( $(tc-getLD) --version | head -n 1 | \
+ sed -e 's:.*version \([0-9.]\+\) .*:\1:')
+ local ldmaj=$(echo $ldver | cut -f1 -d.)
+ local ldmin=$(echo $ldver | cut -f2 -d.)
+ local ldmicro=$(echo $ldver | cut -f3 -d.)
+
+ if [[ $ldmaj -lt 1 || ( $ldmaj == 2 && $ldmin < 16 && $ldmicro < 92 ) ]]; then
+ filter-ldflags -Wl,--as-needed --as-needed
+ filter-flags -Wl,--as-needed --as-needed
+ fi
}